%define name		freemarker
%define version		2.3
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	FreeMarker template engine
Url:		http://freemarker.sourceforge.net/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD-style
Group:		Database
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	freemarker-2.3.tar.gz
Patch0:		freemarker-2.3-jdom.patch

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:  junit
BuildRequires:	java >= 0:1.4
BuildRequires:	servletapi4
BuildRequires:	jaxen >= 0:1.1
BuildRequires:	jython
BuildRequires:	avalon-framework
BuildRequires:	avalon-logkit
BuildRequires:	dom4j
BuildRequires:	javacc
BuildRequires:	jdom
BuildRequires:	log4j
BuildRequires:	struts
BuildRequires:	xerces-j2
BuildRequires:	xalan-j2
Requires:	java >= 0:1.4
Requires:	avalon-framework
Requires:	avalon-logkit
Requires:	servletapi4
Requires:	jaxen >= 0:1.1
Requires:	jython
Requires:	jdom
Requires:	dom4j
Requires:	log4j
Requires:	struts

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
FreeMarker is a "template engine"; a generic tool to 
generate text output (anything from HTML or RTF to 
autogenerated source code) based on templates.
FreeMarker is designed to be practical for the generation 
of HTML Web pages, particularly by servlet-based applications 
following the MVC (Model View Controller) pattern. 
Although FreeMarker has some programming capabilities, 
it is not a full-blown programming language like PHP. Instead, 
Java programs prepare the data to be displayed, and FreeMarker 
just generates textual pages that display the prepared data 
using templates. 
FreeMarker is not a Web application framework. It is suitable 
for a component in a Web application framework, but the 
FreeMarker engine itself knows nothing about HTTP or servlets. 


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:	Documents for %{name}
Group:		Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n %{name}-%{version}
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
cat << EOT > dependency.properties
javacc.home=%{_javadir}
lib.jdom=$(build-classpath jdom)
lib.jaxen=$(build-classpath jaxen)
lib.servlet=$(build-classpath servletapi4)
jython.home=%{_javadir}
lib.log4j=$(build-classpath log4j)
lib.logkit=$(build-classpath avalon-logkit)
lib.xerces=$(build-classpath xerces-j2)
lib.junit=$(build-classpath junit)
lib.dom4j=$(build-classpath dom4j)
lib.struts=$(build-classpath struts)
EOT

%patch0 -b .sav

%build
export OPT_JAR_LIST="ant/ant-junit junit ant/ant-nodeps javacc"
export CLASSPATH=$(build-classpath \
avalon-framework \
avalon-logkit \
dom4j \
javacc \
jaxen \
jdom \
jython \
log4j \
servletapi4 \
struts \
xalan-j2 \
xerces-j2 \
)
CLASSPATH=$CLASSPATH:target/classes
ant -Dbuild.sysclasspath=first jar javadoc test

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 lib/%{name}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf docs/docs/api

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/*.jar
%{_docdir}/%{name}-%{version}/LICENSE.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}

%changelog
* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> 0:2.3-1jpp
- First release

